Package: org.codehaus.groovy.syntax

## [Java] Class ParserException

- org.codehaus.groovy.syntax.ParserException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ParserException (String message, Token token)`
    `ParserException (String message, Throwable cause, int lineNumber, int columnNumber)`
    `ParserException (String message, Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ParserException(String message, Token token)

    - #### public ParserException(String message, Throwable cause, int lineNumber, int columnNumber)

    - #### public ParserException(String message, Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)